Merge branch 'staging-next-21.05' into staging-21.05

This commit is contained in:
Jonathan Ringer
2021-06-25 00:15:49 -07:00
160 changed files with 3797 additions and 2413 deletions
+3 -3
View File
@@ -23,18 +23,18 @@
stdenv.mkDerivation rec {
pname = "OpenTabletDriver";
version = "0.5.3.1";
version = "0.5.3.2";
src = fetchFromGitHub {
owner = "InfinityGhost";
repo = "OpenTabletDriver";
rev = "v${version}";
sha256 = "OT8/c+6wNpZyq/q7uMxIqmyJKNAq0B4ynEAqFF0GWyo=";
sha256 = "qRc/9Edp3x7/XVEWgBbPush76MSQz4biYSk+E9Gt68w=";
};
debPkg = fetchurl {
url = "https://github.com/InfinityGhost/OpenTabletDriver/releases/download/v${version}/OpenTabletDriver.deb";
sha256 = "0nm0v1xhphl6g6rz3li4rbdp7408g6sf9l4nh3mbbif5042xa0qh";
sha256 = "14k06iyc642x42yadyfmmf8ky84y8rc6kgd63b4ipskkcxyl1gvl";
};
nativeBuildInputs = [
+21 -16
View File
@@ -1,43 +1,48 @@
{ fetchNuGet }: [
(fetchNuGet {
name = "AtkSharp";
version = "3.22.25.74";
sha256 = "04zjpjrddw5clac0mjpk0q00rbmv45bh1bsqa4s3pc5pb7fm9cd9";
version = "3.24.24.34";
sha256 = "1jn1vgi9xm0jp7769k6sbdi8d273kigjrsh93i6s4c03hqxv7cqs";
})
(fetchNuGet {
name = "CairoSharp";
version = "3.22.25.74";
sha256 = "0sx7vmwcrfbkg3g887v051iklcdmdhh43ndp96nk4bccjimmmwl6";
version = "3.24.24.34";
sha256 = "0pydn1k0cam1gclg9sc1sbnmbyzh28qlc5qanyxcylwghink3kgz";
})
(fetchNuGet {
name = "Eto.Forms";
version = "2.5.10";
sha256 = "1d71wglk4ixfqfbm6sxmj753x5iwbar8i9zzjy3bh64fy1dn8lz7";
})
(fetchNuGet {
name = "Eto.Forms";
version = "2.5.11";
sha256 = "0h86jc19wy3ssj7pb34w1h02v92mg29gdipszwjs3y15piy66z3s";
})
(fetchNuGet {
name = "Eto.Platform.Gtk";
version = "2.5.10";
sha256 = "1pkqvlfx7bzracnw19bl50i9jg4ym376vihmy9qq7m5z5nfdqn4g";
version = "2.5.11";
sha256 = "1s9njz7l9zghrbzli7lbiav5ss3glqf17npj07f3jldd933nb95j";
})
(fetchNuGet {
name = "GdkSharp";
version = "3.22.25.74";
sha256 = "07sdfvqk2jmyjj7fyd0mikhnzsk52zd3g2dhip8kz3006cczqm81";
version = "3.24.24.34";
sha256 = "0r0x0yib7chwsyrbpvicrfwldwqx5lyqq4p86zaxpmzd6zdaj0x5";
})
(fetchNuGet {
name = "GioSharp";
version = "3.22.25.74";
sha256 = "01l4216bm5jxbxypkkq4d2527c6zd68kbywr3h1lr1darc9nf1d1";
version = "3.24.24.34";
sha256 = "02hxvgjd4w9jpzbkk7qf9q9bkvyp5hfzwxfqp10vg5lpl9yl3xpx";
})
(fetchNuGet {
name = "GLibSharp";
version = "3.22.25.74";
sha256 = "0k2p79z4wcswi528v0ykc37rsqfqi6xd6pl0j4csdj9zf19svgx2";
version = "3.24.24.34";
sha256 = "0kvp033fgdwc8p2abfp5z9pzq66cvwbnjfvr4v4bkpy5s5h181kq";
})
(fetchNuGet {
name = "GtkSharp";
version = "3.22.25.74";
sha256 = "0vazfvkjyzppcynqa1h70s1jmp4vq2j30v5x2scg8n2c5dxaj0k3";
version = "3.24.24.34";
sha256 = "0028hzmmqyfx87qqmaf9cgb5psn7gkbmqvixcid67x1d6mzxjicb";
})
(fetchNuGet {
name = "HidSharpCore";
@@ -126,8 +131,8 @@
})
(fetchNuGet {
name = "PangoSharp";
version = "3.22.25.74";
sha256 = "172i1hjpz4rgqlilir8a57kgmciw9x0shz4zwbhhlr59mndvqbih";
version = "3.24.24.34";
sha256 = "1r0h14cklglfpv1lhv93cxmzi2w7d5s03gzpq3j5dmrz43flg9zw";
})
(fetchNuGet {
name = "runtime.debian.8-x64.runtime.native.System.Security.Cryptography.OpenSsl";
+11 -1
View File
@@ -1,4 +1,4 @@
{ lib, stdenv, fetchurl, coreutils, ncurses }:
{ lib, stdenv, fetchurl, coreutils, ncurses, fetchpatch }:
stdenv.mkDerivation rec {
pname = "entr";
@@ -9,6 +9,16 @@ stdenv.mkDerivation rec {
sha256 = "sha256-4lak0vvkb2EyRggzukR+ZdfzW6nQsmXnxBUDl8xEBaI=";
};
patches = lib.optionals stdenv.isDarwin [
# Fix v4.9 segfault on Darwin. remove with the next update
# https://github.com/eradman/entr/issues/74
(fetchpatch {
url = "https://github.com/eradman/entr/commit/468d77d45925abba826bb1dcda01487dbe37eb33.patch";
sha256 = "17kkcrsnac0pb930sf2kix71h4c7krzsrvz8pskx0vm39n1c9xfi";
includes = [ "entr.c" ];
})
];
postPatch = ''
substituteInPlace Makefile.bsd --replace /bin/echo echo
substituteInPlace entr.c --replace /bin/cat ${coreutils}/bin/cat
+2 -12
View File
@@ -1,6 +1,5 @@
{ lib, stdenv
, fetchFromGitHub
, fetchpatch
, autoreconfHook
, pkg-config
, bison
@@ -21,7 +20,7 @@ in
stdenv.mkDerivation rec {
pname = "tmux";
version = "3.2";
version = "3.2a";
outputs = [ "out" "man" ];
@@ -29,18 +28,9 @@ stdenv.mkDerivation rec {
owner = "tmux";
repo = "tmux";
rev = version;
sha256 = "0alq81h1rz1f0zsy8qb2dvsl47axpa86j4bplngwkph0ksqqgr3p";
sha256 = "0143ylfk7zsl3xmiasb768238gr582cfhsgv3p0h0f13bp8d6q09";
};
patches = [
# Fix cross-compilation
# https://github.com/tmux/tmux/pull/2651
(fetchpatch {
url = "https://github.com/tmux/tmux/commit/bb6242675ad0c7447daef148fffced882e5b4a61.patch";
sha256 = "1acr3xv3gqpq7qa2f8hw7c4f42hi444lfm1bz6wqj8f3yi320zjr";
})
];
nativeBuildInputs = [
pkg-config
autoreconfHook
+9 -5
View File
@@ -1,16 +1,20 @@
{ fetchFromGitHub, python3Packages, lib }:
{ lib
, python3
, fetchFromGitHub
}:
python3Packages.buildPythonApplication rec {
python3.pkgs.buildPythonApplication rec {
pname = "getmail6";
version = "6.16";
version = "6.17";
src = fetchFromGitHub {
owner = pname;
repo = pname;
rev = "v${version}";
sha256 = "1y373nzbffjjjs43441cn3wrb0yq1mw2vqixhizbzdacrs45xbfa";
sha256 = "sha256-pPf+98zoS1t59RoqbmS4V0OsTLMR37Wcsl9BSWuvc0k=";
};
# needs a Docker setup
doCheck = false;
pythonImportsCheck = [ "getmailcore" ];
@@ -26,6 +30,6 @@ python3Packages.buildPythonApplication rec {
homepage = "https://getmail6.org";
updateWalker = true;
license = licenses.gpl2Plus;
maintainers = with maintainers; [ abbe ];
maintainers = with maintainers; [ abbe dotlambda ];
};
}
@@ -2,16 +2,18 @@
buildGoModule rec {
pname = "aws-iam-authenticator";
version = "0.5.2";
version = "0.5.3";
src = fetchFromGitHub {
owner = "kubernetes-sigs";
repo = pname;
rev = "v${version}";
sha256 = "1xfc3a0dik4930va30sbl6687v6i5irv96fwis9lrqh5rjqnblqp";
sha256 = "0ga3vf5gn7533iqnxn7kchb6xg5wvk92livlqzkhi5qvqhl1sbw0";
};
vendorSha256 = null;
# Upstream has inconsistent vendoring, see https://github.com/kubernetes-sigs/aws-iam-authenticator/issues/377
deleteVendor = true;
vendorSha256 = "+Z8sENIMWXP29Piwb/W6i7UdNXVq6ZnO7AZbSaUYCME=";
buildFlagsArray = [ "-ldflags=-s -w -X main.version=v${version}" ];
@@ -1,113 +0,0 @@
From b0b784b1a57c0b06936e6f5d6560712b4b810cd3 Mon Sep 17 00:00:00 2001
From: Brett Cornwall <brett@i--b.com>
Date: Wed, 27 Feb 2019 00:08:33 -0700
Subject: clip: Add support for wl-clipboard
Edited to properly apply with
`set-correct-program-name-for-sleep.patch`.
---
README | 4 +++-
man/pass.1 | 5 +++++
src/password-store.sh | 26 +++++++++++++++++++++-----
3 files changed, 29 insertions(+), 6 deletions(-)
diff --git a/README b/README
index 6b59965..1a46242 100644
--- a/README
+++ b/README
@@ -19,8 +19,10 @@ Depends on:
http://www.gnupg.org/
- git
http://www.git-scm.com/
-- xclip
+- xclip (for X11 environments)
http://sourceforge.net/projects/xclip/
+- wl-clipboard (for wlroots Wayland-based environments)
+ https://github.com/bugaevc/wl-clipboard
- tree >= 1.7.0
http://mama.indstate.edu/users/ice/tree/
- GNU getopt
diff --git a/man/pass.1 b/man/pass.1
index 01a3fbe..a555dcb 100644
--- a/man/pass.1
+++ b/man/pass.1
@@ -99,6 +99,8 @@ Decrypt and print a password named \fIpass-name\fP. If \fI--clip\fP or \fI-c\fP
is specified, do not print the password but instead copy the first (or otherwise specified)
line to the clipboard using
.BR xclip (1)
+or
+.BR wl-clipboard(1)
and then restore the clipboard after 45 (or \fIPASSWORD_STORE_CLIP_TIME\fP) seconds. If \fI--qrcode\fP
or \fI-q\fP is specified, do not print the password but instead display a QR code using
.BR qrencode (1)
@@ -132,6 +134,8 @@ in generating passwords can be changed with the \fIPASSWORD_STORE_CHARACTER_SET\
If \fI--clip\fP or \fI-c\fP is specified, do not print the password but instead copy
it to the clipboard using
.BR xclip (1)
+or
+.BR wl-clipboard(1)
and then restore the clipboard after 45 (or \fIPASSWORD_STORE_CLIP_TIME\fP) seconds. If \fI--qrcode\fP
or \fI-q\fP is specified, do not print the password but instead display a QR code using
.BR qrencode (1)
@@ -466,6 +470,7 @@ The location of the text editor used by \fBedit\fP.
.BR tr (1),
.BR git (1),
.BR xclip (1),
+.BR wl-clipboard (1),
.BR qrencode (1).
.SH AUTHOR
diff --git a/src/password-store.sh b/src/password-store.sh
index d89d455..284eabf 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -152,16 +152,32 @@ check_sneaky_paths() {
#
clip() {
+ if [[ -n $WAYLAND_DISPLAY ]]; then
+ local copy_cmd=( wl-copy )
+ local paste_cmd=( wl-paste -n )
+ if [[ $X_SELECTION == primary ]]; then
+ copy_cmd+=( --primary )
+ paste_cmd+=( --primary )
+ fi
+ local display_name="$WAYLAND_DISPLAY"
+ elif [[ -n $DISPLAY ]]; then
+ local copy_cmd=( xclip -selection "$X_SELECTION" )
+ local paste_cmd=( xclip -o -selection "$X_SELECTION" )
+ local display_name="$DISPLAY"
+ else
+ die "Error: No X11 or Wayland display detected"
+ fi
+ local sleep_argv0="password store sleep on display $display_name"
+
# This base64 business is because bash cannot store binary data in a shell
# variable. Specifically, it cannot store nulls nor (non-trivally) store
# trailing new lines.
- local sleep_argv0="password store sleep on display $DISPLAY"
pkill -P $(pgrep -f "^$sleep_argv0") 2>/dev/null && sleep 0.5
- local before="$(xclip -o -selection "$X_SELECTION" 2>/dev/null | $BASE64)"
- echo -n "$1" | xclip -selection "$X_SELECTION" || die "Error: Could not copy data to the clipboard"
+ local before="$("${paste_cmd[@]}" 2>/dev/null | $BASE64)"
+ echo -n "$1" | "${copy_cmd[@]}" || die "Error: Could not copy data to the clipboard"
(
( exec -a "$sleep_argv0" bash <(echo trap 'kill %1' TERM\; sleep "$CLIP_TIME & wait") )
- local now="$(xclip -o -selection "$X_SELECTION" | $BASE64)"
+ local now="$("${paste_cmd[@]}" | $BASE64)"
[[ $now != $(echo -n "$1" | $BASE64) ]] && before="$now"
# It might be nice to programatically check to see if klipper exists,
@@ -173,7 +189,7 @@ clip() {
# so we axe it here:
qdbus org.kde.klipper /klipper org.kde.klipper.klipper.clearClipboardHistory &>/dev/null
- echo "$before" | $BASE64 -d | xclip -selection "$X_SELECTION"
+ echo "$before" | $BASE64 -d | "${copy_cmd[@]}"
) >/dev/null 2>&1 & disown
echo "Copied $2 to clipboard. Will clear in $CLIP_TIME seconds."
}
--
cgit v1.2.1-28-gf32c
+17 -16
View File
@@ -3,8 +3,9 @@
, which, procps , qrencode , makeWrapper, pass, symlinkJoin
, xclip ? null, xdotool ? null, dmenu ? null
, x11Support ? !stdenv.isDarwin , dmenuSupport ? x11Support
, x11Support ? !stdenv.isDarwin , dmenuSupport ? (x11Support || waylandSupport)
, waylandSupport ? false, wl-clipboard ? null
, ydotool ? null, dmenu-wayland ? null
# For backwards-compatibility
, tombPluginSupport ? false
@@ -13,13 +14,15 @@
with lib;
assert x11Support -> xclip != null;
assert dmenuSupport -> dmenu != null
&& xdotool != null
&& x11Support;
assert waylandSupport -> wl-clipboard != null;
assert dmenuSupport -> x11Support || waylandSupport;
assert dmenuSupport && x11Support
-> dmenu != null && xdotool != null;
assert dmenuSupport && waylandSupport
-> dmenu-wayland != null && ydotool != null;
let
passExtensions = import ./extensions { inherit pkgs; };
@@ -52,21 +55,18 @@ let
in
stdenv.mkDerivation rec {
version = "1.7.3";
version = "1.7.4";
pname = "password-store";
src = fetchurl {
url = "https://git.zx2c4.com/password-store/snapshot/${pname}-${version}.tar.xz";
sha256 = "1x53k5dn3cdmvy8m4fqdld4hji5n676ksl0ql4armkmsds26av1b";
sha256 = "1h4k6w7g8pr169p5w9n6mkdhxl3pw51zphx7www6pvgjb7vgmafg";
};
patches = [
./set-correct-program-name-for-sleep.patch
./extension-dir.patch
] ++ lib.optional stdenv.isDarwin ./no-darwin-getopt.patch
# TODO (@Ma27) this patch adds support for wl-clipboard and can be removed during the next
# version bump.
++ lib.optional waylandSupport ./clip-wayland-support.patch;
] ++ lib.optional stdenv.isDarwin ./no-darwin-getopt.patch;
nativeBuildInputs = [ makeWrapper ];
@@ -74,8 +74,7 @@ stdenv.mkDerivation rec {
postInstall = ''
# Install Emacs Mode. NOTE: We can't install the necessary
# dependencies (s.el and f.el) here. The user has to do this
# himself.
# dependencies (s.el) here. The user has to do this themselves.
mkdir -p "$out/share/emacs/site-lisp"
cp "contrib/emacs/password-store.el" "$out/share/emacs/site-lisp/"
'' + optionalString dmenuSupport ''
@@ -96,8 +95,10 @@ stdenv.mkDerivation rec {
procps
] ++ optional stdenv.isDarwin openssl
++ optional x11Support xclip
++ optionals dmenuSupport [ xdotool dmenu ]
++ optional waylandSupport wl-clipboard);
++ optional waylandSupport wl-clipboard
++ optionals (waylandSupport && dmenuSupport) [ ydotool dmenu-wayland ]
++ optionals (x11Support && dmenuSupport) [ xdotool dmenu ]
);
postFixup = ''
# Fix program name in --help
@@ -1,9 +1,11 @@
diff -Naur password-store-1.6.5-orig/src/platform/darwin.sh password-store-1.6.5/src/platform/darwin.sh
--- password-store-1.6.5-orig/src/platform/darwin.sh 2015-01-28 16:43:02.000000000 +0000
+++ password-store-1.6.5/src/platform/darwin.sh 2015-02-15 16:09:02.000000000 +0000
@@ -31,5 +31,4 @@
mount -t hfs -o noatime -o nobrowse "$DARWIN_RAMDISK_DEV" "$SECURE_TMPDIR" || die "Error: could not mount filesystem on ramdisk."
diff --git a/src/platform/darwin.sh b/src/platform/darwin.sh
index f6cc471..e2e8bba 100644
--- a/src/platform/darwin.sh
+++ b/src/platform/darwin.sh
@@ -39,6 +39,5 @@ qrcode() {
fi
}
-GETOPT="$(brew --prefix gnu-getopt 2>/dev/null || { which port &>/dev/null && echo /opt/local; } || echo /usr/local)/bin/getopt"
-GETOPT="$({ test -x /usr/local/opt/gnu-getopt/bin/getopt && echo /usr/local/opt/gnu-getopt; } || brew --prefix gnu-getopt 2>/dev/null || { which port &>/dev/null && echo /opt/local; } || echo /usr/local)/bin/getopt"
SHRED="srm -f -z"
BASE64="openssl base64"
@@ -5,29 +5,10 @@ Subject: [PATCH] Patch the clip() function to work even when using
single-binary coreutils
---
src/password-store.sh | 4 ++--
src/platform/cygwin.sh | 4 ++--
src/platform/darwin.sh | 4 ++--
3 files changed, 6 insertions(+), 6 deletions(-)
diff --git a/src/password-store.sh b/src/password-store.sh
index 7264ffc..68551a4 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -155,11 +155,11 @@ clip() {
# variable. Specifically, it cannot store nulls nor (non-trivally) store
# trailing new lines.
local sleep_argv0="password store sleep on display $DISPLAY"
- pkill -f "^$sleep_argv0" 2>/dev/null && sleep 0.5
+ pkill -P $(pgrep -f "^$sleep_argv0") 2>/dev/null && sleep 0.5
local before="$(xclip -o -selection "$X_SELECTION" 2>/dev/null | $BASE64)"
echo -n "$1" | xclip -selection "$X_SELECTION" || die "Error: Could not copy data to the clipboard"
(
- ( exec -a "$sleep_argv0" bash <<<"trap 'kill %1' TERM; sleep '$CLIP_TIME' & wait" )
+ ( exec -a "$sleep_argv0" bash <(echo trap 'kill %1' TERM\; sleep "$CLIP_TIME & wait") )
local now="$(xclip -o -selection "$X_SELECTION" | $BASE64)"
[[ $now != $(echo -n "$1" | $BASE64) ]] && before="$now"
diff --git a/src/platform/cygwin.sh b/src/platform/cygwin.sh
index 5a8d5ea..423e0ce 100644
--- a/src/platform/cygwin.sh
@@ -131,6 +131,7 @@ let
in if sha512 == "" then
# hash stripped from pkgs.nix to save space -> fetch&unpack in a single step
# currently unused as we prefer to keep the sha512 hashes for reproducibility
fetchurl {
inherit urls;
sha1 = if fixedHash == null then throw "TeX Live package ${tlName} is missing hash!"
@@ -144,8 +145,7 @@ let
// passthru
else runCommand "texlive-${tlName}"
( { # lots of derivations, not meant to be cached
preferLocalBuild = true; allowSubstitutes = false;
( {
inherit passthru;
} // lib.optionalAttrs (fixedHash != null) {
outputHash = fixedHash;